calib_help_text=str2mat(...
'                                                                           ',...
' 1. Enter base path (e.g., c:\data) and cruise name (e.g., knorr172)       ',...
' 2. Set the magnification of the autoVPR and enter the setting in the      ',...
'    VPR Calibration window. The camera field of view will be automatically ',...
'    filled in.                                                             ',...
' 3. If the image volume is already known, select Enter Image Volume        ',...
'    Directly and then enter the value.                                     ',...
' 4. Enter the camera resolution if different from that shown.              ',...
' 5. If the image volume is unknown, select Enter Dimensions of Image Volume',...
' 6. Record video of a translucent calibration grid or ruler to measure     ',...
'    the width and height of field of view in millimeters.                  ',...
'    Manually enter these values into the VPR calibration window.           ',...
' 7. Position a tethered bug or standard object in the center of field      ',...
'    and at the edge of the illuminated region nearest the camera.          ',...
'    Record video for 1 minute ',...
' 8. Adjust the segmentation threshhold, sobel threshhold, and other        ',...
'    parameters using the focus detection program, and save these settings  ',...
'    using File | Save in that program (parameters are saved in the    ',...
'    configuration file filename.vpr).                                     ',...
' 9. At the center and corners of the field of view, move the tethered      ',...
'    object toward and away from the camera into and out of focus, and      ',...
'    manually enter the positions of the near and far edges of focus in     ',...
'    millimeters into the VPR Calibration window.                           ',...
'10. Save the results (press Save) and Exit the calibration window.         ',...
'    Results are saved in:  basepath\cruise\calibration\imvol_dim.mat       ',...
'    Copy the file configuration file filename.vpr into this subdirectory',...
'    and make a backup copy named by date of creation.                      ',...
'                                                                           ',...
'   See below for more detailed calibration instructions (future method).   ',...
'                                                                           ',...
'                                                                           ',...
' In-Water Laboratory Calibration of VPR Image Volume                       ',...
'                                                                           ',...
'                                                                           ',...
' Materials Needed:                                                         ',...
'                                                                           ',...
' 1.  Calibration tank with filtered artificial seawater.                   ',...
' 2.  VPR Camera/Strobe assembly w/ power, controller, video cable.         ',...
' 3.  PC w/ frame grabber card and focus detection program                  ',...
' 4.  3-Axis positioner w/ mounting bracket                                 ',...
' 5.  Calibration grid (mm mesh) w/ attachment rod.                         ',...
' 6.  Tethered copepod or standardized plankton mimic w/ attachment rod.    ',...
'                                                                           ',... 
' Procedure:                                                                ',...
'                                                                           ',... 
' 1.  Confirm that VPR camera and strobe are seated in the frame at the     ',...
'     factory set positions and that the protective end caps are removed    ',...
'     from the strobe and camera mirrors.                                   ',...
' 2.  Mount 3-axis positioner with bracket onto VPR camera/strobe assembly  ',...
'     at indicated marks.                                                   ',...
' 3.  Place VPR Camera/Strobe assembly into calibration tank and secure it. ',...
' 4.  Turn on power to VPR and PC.                                          ',...
' 5.  Run focus detection program, using factory default settings.          ',...
' 6.  Adjust strobe mirror until the white area in the segmentation window  ',...
'     (upper right) occupies half the window area.                          ',...
' 7.  Mount rod holding tethered calibration object on positioner and       ',...
'     position object in center of field of view.                           ',...
' 8.  Adjust Segmentation slider in focus program so that the calibration   ',...
'     object is white against a black background.                           ',...
' 9.  Move calibration object toward camera until out of focus as           ',...
'     determined by the focus detection program',...s ROIs/Field parameter  ',...
' 10. Slowly move the object away from the camera until it is at the        ',...
'     near edge of focus and record position.                               ',...
' 11. Move object to far edge of focus and record position.                 ',...
' 12. Repeat steps 10-11 for each of the four corners of the field of view. ',...
' 13. Remove calibration object w/ pole and replace with calibration grid.  ',...
' 14. Record field width and height in mm.                                  ',...
'                                                                           ',...
' In-Air Alignment of VPR Camera Strobe                                     ',...
'                                                                           ',...
'  Materials Needed:                                                        ',...
'                                                                           ',...
' 1. VPR camera/strobe assembly w/ mirror caps removed.                     ',...
' 2. Calibration bracket, calibration square, white plate.                  ',...
'                                                                           ',...
' Procedure                                                                 ',...
'                                                                           ',...
' 1. Mount air calibration bracket on camera and strobe housings at         ',...
'    indicated marks.                                                       ',...
' 2. Insert calibration square into slot on bracket marked strobe.          ',...
' 3. Insert white plate on bracket in designated slot on camera side        ',...
'    of calibration peg.                                                    ',...
' 4. Turn on strobe and adjust screw on strobe mirror until shadow          ',...
'    of calibration peg is aligned with markings on white plate, then       ',...
'    remove plate.                                                          ',...
' 5. Move calibration square into slot on bracket marked camera.  Adjust    ',...
'    screw on camera mirror until edges of field of view are aligned with   ',...
'    edges of calibration square.                                           ',...
' 6. After air-calibration, the in-water calibration values for focus       ',...
'    detection can be used.                                                 ');

save calib_help_text calib_help_text